<template>
   <div id="sixth_section" class="wrapper row">
       <!-- <NavSection  colorLink="red" colorLine="blue" ></NavSection> -->
    <div class="programs">
        <h2 class="programs__title section-title">{{ local.title[$lang] }}</h2>
        <p class="programs__description section-description" v-html="local.description[$lang]"></p>
        
        <ul class="programs__list">
            <li class="program"
                @click="$parent.openModal('discountProgramm')"
            >
                <img class="program__img" src="/assets/img/sale.svg" alt="">
                <p class="program__description" v-html="local.discountProgram[$lang]"></p>
            </li>
            <li class="program">
                <img class="program__img" src="/assets/img/present.svg" alt="">
                <p class="program__description" v-html="local.giftProgram[$lang]"></p>
            </li>
            <li class="program">
                <img class="program__img" src="/assets/img/bonus.svg" alt="">
                <p class="program__description" v-html="local.bonusProgram[$lang]"></p>
            </li>
            <li class="program">
                <img class="program__img" src="/assets/img/virt.svg" alt="">
                <p class="program__description" v-html="local.virtualCertificate[$lang]"></p>
            </li>
            <li class="program"
                @click="$parent.openModal('internetProgram')"
            >
                <img class="program__img" src="/assets/img/im.svg" alt="">
                <p class="program__description" v-html="local.internetShopProgram[$lang]"></p>
            </li>
            <li class="program"
                @click="$parent.openModal('coalitionProgram')"
            >
                <img class="program__img" src="/assets/img/koal.svg" alt="">
                <p class="program__description" v-html="local.coalitionProgram[$lang]"></p>
            </li>
            <li class="program">
                <img class="program__img" src="/assets/img/level.svg" alt="">
                <p class="program__description" v-html="local.multiLevelProgram[$lang]"></p>
            </li>
            <li class="program"
                @click="$parent.openModal('individualProgram')"
            >
                <img class="program__img" src="/assets/img/special.svg" alt="">
                <p class="program__description" v-html="local.individualProgram[$lang]"></p>
            </li>
        </ul>
    </div>
   </div> 
</template>

<script>
    import NavSection from './NavSection.vue';
    import local from '../localisation/sixthSectionLocalisation.js';

    export default {
        data: () => ({
            local,
        }),
        components: {
            NavSection,
        },
    };
</script>

<style lang="scss" scoped>
    .wrapper {
        justify-content: center;
        background-color: #ffffff;
    }
    .programs{
        display: flex;
        flex-direction: column;
        align-items: center;
        max-width: 1680px;
        width: 100%;
        &__title{
            margin-top: 122px;
            @media(max-width: 1100px){
                margin-top: 70px;
            }
            @media (max-width: 900px) {
                margin-top: 50px;
            }
            @media (max-width: 620px) {
                margin-top: 40px;
                font-size: 20px;
            }
        }
        &__description{
            @media(max-width: 900px){
                width: auto;
            }
             @media (max-width: 620px) {
                display: none;
            }
        }
         &__description > br{
            @media(max-width: 900px){
                display: none;
            }
        }
        &__list{
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            max-width: 1300px;
            list-style-type: none;
            padding: 0;
        }
         &__list li:nth-child(6) .program__description{
             @media(max-width: 620px){
                
                bottom:5px;
                
            }
         }
       
    }
    .program{
        width: 277px;
        height: 280px;
        // margin: auto;
        margin-right: 20px;
        margin-bottom: 20px;
        border-radius: 4px;
        background-image: linear-gradient(224deg, #31b465, #1c7062);
        @media(max-width: 900px){
                width: 320px;
                height: 170px;
        }
        @media (max-width: 620px) {
            width: 280px;
             height: 100px;
             margin-right: 0px;
              margin-bottom: 10px;
        }
               
        &__img{
            position: relative;
            left: 30px;
            bottom:-130px;
            @media(max-width: 900px){
                left: 30px;
                bottom:-60px;
            }
            @media(max-width: 620px){
                width: 40px;
                height: 40px;
                left: 15px;
                bottom:-40px;
            }
        }
        &__description{
            position: relative;
            left: 30px;
            bottom:-140px;
            width: 100%;
            height: 48px;
            font-family: OpenSans;
            font-size: 18px;
            line-height: 1.33;
            color: #ffffff;
            @media(max-width: 900px){
                font-size: 14px;
                left: 30px;
                bottom:-70px;
            }
            @media(max-width: 620px){
                left: 65px;
                bottom:-10px;
                max-width: 178px;
            }
           
        }
         &__description br{
                @media(max-width: 900px){
                display: none;
                }
            }
    }
</style>
